## Index → Cherokee Bundle

## Cherokee Bundle: cherokee

This is the main Cherokee program. It can be launched in several ways as shown in the section Running Cherokee. Unless specified otherwise, `cherokee` will try to run with the configuration present in your default cherokee.conf file.

This is the full information provided by the manpage:

NAME

  `cherokee` - Cherokee Web Server

SYNOPSIS

  `cherokee` [options]

DESCRIPTION

  `cherokee` is an extremely fast, flexible and embeddable web server.

OPTIONS

  This command will launch the Cherokee webserver. It accepts the following options.

  -h, —help

    Prints a brief help message and terminates execution

  -V, —version

    Prints Cherokee’s version and terminates execution

  -t, —test

    Perform a sanity check on the configuration file. The server will not run.

  -d, —detach

    Launches the server as a background process (default behaviour is to stay attached to the controlling terminal).

  -C, —config=PATH

    Specifies a configuration file other than the default /etc/cherokee/cherokee.conf

  -p, —port=PORT

    TCP port number to which the server will listen.

  -r, —documentroot=PATH

    Launches a server exposing statically the specified directory. When launched with -r, the configuration file is ignored, and the Cherokee instance runs with its default values.

  -i, —print

    Print server technical information.

To illustrate the usefulness of such options take the following example:

    $ cherokee -p 8080 -r `pwd`

This would allow any non-privileged user to statically share the contents of the current directory. A great way to share files in a local network whenever you are in a hurry. Remember that in Unix systems only processes launched by the superuser have privileges to be hooked to the lower 1024 ports of the system.